View

The Transaction View API extracts transaction data for an existing Transaction View saved in Addepar. The Transactions section is a repository of all transactions for a given portfolio or asset, including those from custodial data feeds and those manually added.

Base route/v1/transactions
EndpointsGET /v1/transactions/views/:id/results
ProducesCSV, TSV, or XLSX
PaginationNo
Application permissions required"API Access: Create, edit, and delete", "Transaction firm view: View only", "Transactions: View-only"
OAuth scopesTRANSACTIONS

🔒 Access requirements

"API Access: Create, edit, and delete" is required to use the endpoint. "Transaction firm view: View only" and "Transactions: View-only" are required to extract view data.

Parameters

Required query parameters

ParameterDescription
portfolio_idThe ID of a portfolio configured in Addepar. If portfolio_type is FIRM, must be 1. Example: 10
portfolio_typeThe type of portfolio. String. Values: ENTITY, ENTITY_FUNDS, GROUP, GROUP_FUNDS, FIRM, FIRM_ACCOUNTS, FIRM_CLIENTS, FIRM_HOUSEHOLDS, FIRM_UNVERIFIED_ACCOUNTS
output_typeThe output format. String. Values: CSV, TSV, XLSX
start_dateStart date of the time period. Format: YYYY-MM-DD. Example: 2016-01-01
end_dateEnd date of the time period. Format: YYYY-MM-DD. Example: 2016-01-02

Required path parameter

ParameterDescription
idThe ID of the transactions view. Find the view ID by generating an API URL (see below).

Generate an API URL

You can generate an API URL in Addepar:

  1. Sign in to Addepar.
  2. Select the portfolio on the left menu.
  3. Select the Transactions tab.
  4. Select a view from the drop-down menu and adjust as needed.
  5. Click Export > Generate API URL > Copy Link.

The URL will include the view ID, portfolio ID, output type, start date, and end date.

Example API URL:
https://{firm}.addepar.com/api/v1/transactions/views/1/results?portfolio_id=10&portfolio_type=entity&output_type=csv&start_date=2020-09-07&end_date=2020-10-07

Get transactions view data

Returns data based on the transactions view, portfolio, and time period.

GET /v1/transactions/views/:id/results

🔑 Authentication

All requests require a base64-encoded API key pair:

Authorization: Basic {base64(key_id:key_secret)}

See Access & Authentication for setup.

📘 Restrictions

  • Transaction Views for "Summary Data" are not supported.
  • Values must follow one of the following types: Currency, Date, Money Value, Number, Percent, Word, Yes/No.

Additional notes (CSV & TSV):

  • If the view includes a column for an entity (e.g., Security, Direct Owner), the output includes an additional column for "[Entity Name] [Entity ID]" which is the unique identifier for the entity.
  • If the view includes Position as a column, the output includes an additional column for Position ID.
  • Formatting applied to numerical values ($, K, M, etc.) is ignored for number and money value columns: the output includes raw values up to four decimal places.
  • Percentages are represented as a fraction up to four decimal places.
  • Boolean values are represented as "Yes" or "No."
  • All CSV/TSV responses have the Byte-Order-Mark prefixed to the data stream to indicate UTF-8 encoding.
curl -X GET "https://{firm}.addepar.com/api/v1/transactions/views/1/results?portfolio_id=10&portfolio_type=ENTITY&output_type=CSV&start_date=2000-09-01&end_date=2020-01-01" \
  -H "Authorization: Basic {credentials}" \
  -H "Addepar-Firm: 1"
HTTP/1.1 200

Content-Disposition: attachment; filename="transactions_data.csv"
Content-Type: text/csv

<VIEW_CONTENT>

Response codes:

  • 200 OK -- Success
  • 400 Bad Request -- Improperly specified query parameters
  • 403 Forbidden -- Insufficient application permissions
  • 404 Not Found -- View not found

📘 Related resources

Transactions | Transaction Types | Transaction Jobs


Did this page help you?